# $Revision: 1.22 $, $Date: 2002/10/13 22:10:41 $
#
# Conditional build:
# _without_gnome - without GNOME support
#
Summary:	Commodore emulator
Summary(pl):	Emulator Commodore
Name:		vice
Version:	1.9
Release:	2
License:	GPL
Group:		Applications/Emulators
Source0:	ftp://ftp.funet.fi/pub/cbm/crossplatform/emulators/VICE/%{name}-%{version}.tar.gz
Patch0:		%{name}-info.patch
Patch1:		%{name}-DESTDIR.patch
Patch2:		%{name}-acamfixes.patch
URL:		http://viceteam.bei.t-online.de/
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	XFree86-devel
BuildRequires:	Xaw3d-devel
#BuildRequires:	autoconf
#BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	esound-devel
BuildRequires:	flex
BuildRequires:	gettext-devel
%{!?_without_gnome:BuildRequires:	gnome-libs-devel}
BuildRequires:	libpng-devel
BuildRequires:	readline-devel
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
VICE is a Versatile Commodore Emulator, i.e. a program that runs on a
Unix, MS-DOS, Win95/NT, OS/2, RiscOS or BeOS machine and executes
programs intended for the old 8-bit Commodore computers. The current
version emulates the C64, the C128 (80 column screen is included now),
the VIC20, all the PET models (except the SuperPET 9000, which is out
of line anyway) and the CBM-II (aka C610).

%description -l pl
VICE jest wszechstronnym emulatorem 8-bitowego komputera Commodore.
Aktualna wersja emuluje C64, C128 (wraz z trybem pracy 80 kolumnowym),
VIC20, wszystkie modele PET (poza SuperPET 9000) oraz CBM-II (C610).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
#%patch2 -p1

%build
rm -f missing
%{__gettextize}
#%{__aclocal}
#%{__autoconf}
#%{__autoheader}
#%{__automake}
#cd src/resid
#%{__autoconf}
#cd ../..
%configure2_13 \
	--enable-autobpp \
	--with-sdl \
	--with-x \
	--enable-fullscreen \
	--without-xaw3d \
	%{!?_without_gnome:--enable-gnomeui} \
	--enable-nls \
	--without-included-gettext
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS Chan* FEEDBACK NEWS README 
%attr(0755,root,root) %{_bindir}/*
%{_libdir}/vice
%{_mandir}/man?/*
%{_infodir}/*.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: vice.spec,v $
Revision 1.22  2002/10/13 22:10:41  qboosh
- new %%doc, release 2

Revision 1.21  2002/06/27 20:24:59  jojoro
- ver 1.9

Revision 1.20  2002/06/23 20:52:54  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.19  2002/04/27 22:31:53  qboosh
- libpng 1.2.2 support

Revision 1.18  2002/04/04 13:31:33  qrczak
- Workaround to make it build: don't run aclocal+autoconf+autoheader+
  automake, disable acamfixes.patch, use %configure2_13, patch Makefile.in
  instead of Makefile.am. Automake is broken.

Revision 1.17  2002/04/04 12:08:26  qrczak
Update URL, vice has moved.

Revision 1.16  2002/03/30 11:18:29  qboosh
- fixed install, added DESTDIR patch
- acamfixes patch to allow rebuilding ac/am with 2.53/1.6

Revision 1.15  2002/03/22 21:58:11  pioklo
- typo

Revision 1.14  2002/03/22 21:34:25  pioklo
- updated to 1.8 ,rel 1

Revision 1.13  2002/02/22 23:29:52  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:15:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/12/18 19:07:31  kloczek
- commet also autoconf, automake in BuildRequire rules.

Revision 1.10  2001/12/18 16:56:04  qrczak
- Don't run aclocal/autoconf/autoheader/automake. They don't work.
  Use %%configure2_13 instead.
- Release 3.

Revision 1.9  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.7  2001/05/22 09:06:52  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.6  2001/05/18 22:01:59  kloczek
- release 2.

Revision 1.5  2001/05/18 16:13:50  qboosh
- _without_gnome

Revision 1.4  2001/04/09 00:10:30  kloczek
- added info patch.

Revision 1.3  2001/04/08 20:10:38  misiek
use gnome

Revision 1.2  2001/04/08 19:13:08  misiek
added fix-info-dir call

Revision 1.1  2001/04/08 19:09:43  misiek
commodore emulator; stb
